Subject: Re: FVWM: pixy tool

From: Martin Kraemer <[email-masked]>
Date: Mon, 3 Jun 1996 11:16:36 +0200 (MET DST)

Dan Espen wrote:
> Here it is again:
> 
> I  made  an attempt to  provide  a program   that automates  the color
> reduction and you will find the program in  fvwm 2.0.42 in the "utils"
> directory.    Subsequently   Romano  Giannetti  and   Martin   Kraemer
> introduced "pixy2" which outclasses my effort with a much better color
> matching algorithm.  Pixy2 can be gotten from:
> 
> ftp://sirio.iet.unipi.it/pub/romano/pixy3.2.tar.gz

Look for mogrify as well, it's part of ImageMagick:

mogrify(1)               USER COMMANDS                 mogrify(1)

NAME
     mogrify - transform an image or sequence of images

SYNOPSIS
     mogrify [ options ...] file [ [ options ...] file ...]

DESCRIPTION
     mogrify transforms an image or a sequence of images.  These
     transforms include image scaling, image rotation, color
     reduction, and others.  The transmogrified image overwrites
     the original image.

EXAMPLES
[..] To create a single colormap for a sequence of bird images,
     use:

	 mogrify -colors 256 scenes/birds.*

OPTIONS
[..] -colors value
	  preferred number of colors in the image.

	  The actual number of colors in the image may be less
	  than your request, but never more.  Note, this is a
	  color reduction option.  Images with less unique colors
	  than specified with this option will remain unchanged.
	  Refer to quantize(9) for more details.

	  If more than one image is specified on the command
	  line, a single colormap is created and saved with each
	  image.

	  Note, options -colormap, -dither, -colorspace, and
	  -treedepth affect the color reduction algorithm.

     -colorspace value
	  the type of colorspace: GRAY, OHTA, RGB, Transparent,
	  XYZ, YCbCr, YIQ, YPbPr, or YUV.

	  Color reduction, by default, takes place in the RGB
	  color space.  Empirical evidence suggests that
	  distances in color spaces such as YUV or YIQ correspond
	  to perceptual color differences more closely than do
	  distances in RGB space.  These color spaces may give
	  better results when color reducing an image.  Refer to
	  quantize(9) for more details.

	  The Transparent color space behaves uniquely in that it
	  perserves the matte channel of the image if it exists.

	  The -colors or -monochrome option is required for this
	  option to take effect.

ImageMagick          Last change: 1 May 1994                   15

Only found this after we finished pixy, and I didn't test it against
pixy. But I thought it was worth mentioning.

    Martin
-- 
| S I E M E N S |   [email-masked]   |      Siemens Nixdorf
| ------------- |   Voice: +49-89-636-46021     |  Informationssysteme AG
| N I X D O R F |   FAX:   +49-89-636-44994     |   81730 Munich, Germany
~~~~~~~~~~~~~~~~My opinions only, of course; pgp key available on request
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].